import Link from "next/link";

interface IColumnHeader {
  Header: string;
  accessor: string;
  Cell?: (info: any) => JSX.Element;
}

type Columns = IColumnHeader[];

export const columnsDataBlocks: Columns = [
  {
    Header: 'Batch ID',
    accessor: 'id',
    Cell: ({ row }) => (<Link href={`/admin/batches/edit/${row?.original?.id}`} > {row?.original?.id} </Link>),

  },
  { Header: 'Batch Name', accessor: 'name' },
  { Header: 'Due date', accessor: 'due_date' },
  { Header: 'Status', accessor: 'status' },
];

